Get Checkout

Returns a *Checkout*. The cart ID and checkout ID are the same. > #### Note > * Substitute your storefront domain for `yourstore.example.com`. > * The Send a Test Request feature is not currently supported for this endpoint. > * This endpoint runs in the context of an active storefront session and works on any live BigCommerce-hosted storefront, not only in a local environment. It uses [same-origin CORS authentication](/developer/docs/overview/api-fundamentals/api-accounts#same-origin-cors-authentication), and write requests require a CSRF token. Stencil CLI can provide a session and CSRF token for local theme development.

Path parameters

checkoutIdstringRequiredformat: "uuid"
The ID of the subject checkout. Identical to the cart ID.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

includelist of enumsOptionalDefaults to ["consignments.availableShippingOptions"]
* `cart.lineItems.physicalItems.options` - physical options * `cart.lineItems.digitalItems.options` - digital options * `cart.lineItems.physicalItems.categoryNames` - physical categories * `cart.lineItems.digitalItems.categoryNames` - digital categories * `cart.lineItems.customItems.categoryNames` - custom categories * `customer` - customer * `customer.customerGroup` - customer group * `payments` - payments * `promotions` - promotions * `consignments.availableShippingOptions` - shipping options * `consignments.availablePickupOptions` - pickup options

Response

billingAddressobjectOptional
cartobjectOptional

A cart contains a collection of items, prices, discounts, etc. It does not contain customer-related data.

channelIdintegerOptional
Channel ID.
consignmentslist of objectsOptional
couponslist of objectsOptional
Coupons applied at the checkout level.
feeslist of objectsOptional
Fees applied at the checkout level.
createdTimestringOptional
Time when the cart was created.
customerobjectOptional
Customer details.
customerMessagestringOptional

Shopperʼs message provided as details for the order to be created from this cart

giftCertificateslist of objectsOptional

Applied gift certificate (as a payment method).

giftWrappingCostTotaldoubleOptional
Gift wrapping cost for all items, including or excluding tax.
grandTotalfloatOptional
The total payable amount, before applying any store credit or gift certificate.
handlingCostTotalfloatOptional
Handling cost for all consignments including or excluding tax.
idstringOptionalformat: "uuid"
isStoreCreditAppliedbooleanOptional

true value indicates StoreCredit has been applied.

orderIdstring or nullOptional
outstandingBalancedoubleOptional

grandTotal subtract the store-credit amount

paymentslist of objectsOptional
promotionslist of objectsOptional
shippingCostBeforeDiscountfloatOptional
Total shipping cost for the checkout before discounts are applied.
comparisonShippingCostfloatOptional
Total shipping cost for the checkout after automatic promotions are applied.
shippingCostTotalfloatOptional
Shipping cost before any discounts are applied.
shouldExecuteSpamCheckbooleanOptional
subtotalfloatOptional

Subtotal of the checkout before applying item-level discounts. Tax inclusive based on the store settings.

taxeslist of objectsOptional
taxTotalfloatOptional
updatedTimestringOptional
Time when the cart was last updated.
versionintegerOptional
The current version of the checkout increments with each successful update. You can use it to enable optimistic concurrency control for subsequent updates.

Errors

400
Bad Request Error